#!/usr/bin/env bash
#SBATCH --time=02:00:00
#SBATCH --mem-per-cpu=20G
#SBATCH --cpus-per-task=2
#SBATCH --job-name=panaroo
#SBATCH --output=panaroo_%j.out
#SBATCH --error=panaroo_%j.err

module load singularityce

datadir=
wd=
singpath=/shares/amr.imm.uzh/bioinfo/singularity

array=($(ls $datadir | cut -f 1 -d '_' | uniq))

cd $wd
mkdir -p panaroo/annotation_files
mkdir -p panaroo/panaroo_output

# gff file soft links
for sample_id in "${array[@]}"
do
	ln -s $wd/$sample_id/prokka_annotation/$sample_id.gff $wd/panaroo/annotation_files/
done 

echo Starting panaroo $(date +"%T")
cd panaroo
$singpath/panaroo_1.3.0--pyhdfd78af_0.sif panaroo -i $wd/panaroo/annotation_files/*.gff -o ./panaroo_output/ --clean-mode strict --remove-invalid-genes
echo Done $(date +"%T")